---
title: "Update Service object"
slug: "update-service-object"
updated: 2026-02-18T12:52:40Z
published: 2026-02-18T12:52:58Z
canonical: "support.perimeter81.com/update-service-object"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.perimeter81.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Service object

Put/v2.3/objects/services/{objectId}

Required permission: `[&quot;objects:update&quot;]`

SecurityHTTPType bearer

Path parametersobjectIdstringRequired

Body parameters<select class='api-response-data' aria-label='Media type'><option value='70050a70-530f-478e-a4bb-b11980a92585'>application/json</option>
</select>object  namestring    Required

The name of the Objects

Min length3Max length100Pattern^[a-zA-Z0-9_ ]+$
descriptionstring    
protocols Array of object (ObjectsServicesProtocolRequestObj)   RequiredAnyOfObjectServiceProtocolTCPUDPobject (ObjectServiceProtocolTCPUDP)protocolstring    RequiredValid values[
  "tcp",
  "udp"
]
OneOfObjectServiceProtocolSingleobject (ObjectServiceProtocolSingle)valueTypestring    RequiredValid values[
  "single"
]
value Array of integer (PortNumber)   RequiredMin items1Max items1integer    Minimum1Maximum65535

ObjectServiceProtocolRangeobject (ObjectServiceProtocolRange)valueTypestring    RequiredValid values[
  "range"
]
value Array of integer (PortNumber)   RequiredMin items2Max items2integer    Minimum1Maximum65535

ObjectServiceProtocolListobject (ObjectServiceProtocolList)valueTypestring    RequiredValid values[
  "list"
]
value Array of integer (PortNumber)   RequiredMin items1integer    Minimum1Maximum65535

ObjectServiceProtocolICMPRequestobject (ObjectServiceProtocolICMPRequest)protocolstring    RequiredValid values[
  "icmp"
]
protocolOptionsinteger    Required

-1 means 'any', the rest of the values are the RFC default ICMP parameters

Valid values[
  -1,
  0,
  3,
  5,
  8,
  9,
  10,
  11,
  12,
  13,
  14,
  40,
  42,
  43
]

Responses200

Success

<select class='api-response-data' aria-label='Media type'><option value='fdba9981-b9f2-4c0d-ba41-30c1613aeb10'>application/json</option>
</select>Expand Allnamestring    

The name of the Objects

Min length3Max length100Pattern^[a-zA-Z0-9_ ]+$
descriptionstring    
protocols Array of object (ObjectsServicesProtocolResponseObj)   AnyOfObjectServiceProtocolTCPUDPobject (ObjectServiceProtocolTCPUDP)protocolstring    Valid values[
  "tcp",
  "udp"
]
OneOfObjectServiceProtocolSingleobject (ObjectServiceProtocolSingle)valueTypestring    Valid values[
  "single"
]
value Array of integer (PortNumber)   Min items1Max items1integer    Minimum1Maximum65535

ObjectServiceProtocolRangeobject (ObjectServiceProtocolRange)valueTypestring    Valid values[
  "range"
]
value Array of integer (PortNumber)   Min items2Max items2integer    Minimum1Maximum65535

ObjectServiceProtocolListobject (ObjectServiceProtocolList)valueTypestring    Valid values[
  "list"
]
value Array of integer (PortNumber)   Min items1integer    Minimum1Maximum65535

ObjectServiceProtocolICMPResponseobject (ObjectServiceProtocolICMPResponse)protocolstring    Valid values[
  "icmp"
]
protocolOptionsobject (ObjectServiceProtocolOptionsICMPresponse)  

-1 means 'any', the rest of the values are the RFC default ICMP parameters

Valid values[
  {
    "code": -1,
    "description": "Any"
  },
  {
    "code": 0,
    "description": "Echo Reply"
  },
  {
    "code": 3,
    "description": "Destination Unreachable"
  },
  {
    "code": 5,
    "description": "Redirect"
  },
  {
    "code": 8,
    "description": "Echo"
  },
  {
    "code": 9,
    "description": "Router Advertisement"
  },
  {
    "code": 10,
    "description": "Router Selection"
  },
  {
    "code": 11,
    "description": "Time Exceeded"
  },
  {
    "code": 12,
    "description": "Parameter Problem"
  },
  {
    "code": 13,
    "description": "Timestamp"
  },
  {
    "code": 14,
    "description": "Timestamp Reply"
  },
  {
    "code": 40,
    "description": "Photuris"
  },
  {
    "code": 42,
    "description": "Extended Echo Request"
  },
  {
    "code": 43,
    "description": "Extended Echo Reply"
  }
]codeinteger    
descriptionstring    

401

Unauthorized

403

Forbidden

409

Conflict - You cannot update a service that is associated with one or more policies
